/* Style général pour le corps de la page */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Style pour la section d'accueil */
#accueil {
    margin: 0;
    padding: 110px 40px;
    box-sizing: border-box;
    background-image: url('images/img.jpg');
    background-size: cover;
    background-position: center;
    color: white;
    text-align: center;
}

#accueil h1 {
    font-size: 36px;
    margin-bottom: 40px;
}

#accueil p {
    font-size: 20px;
    margin-bottom: 110px;
}

.consult-button, .join-button {
    background-color: blue;
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    margin-top: 20px;
}

.consult-button:hover, .join-button:hover {
    background-color: rgb(7, 143, 72);
}

.join-button {
    margin-left: 20px;
}

/* Style pour le header */
header {
    background-color: white;
    color:white;
    padding: 0 0;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#apropos {
    text-align: center; /* Centre le contenu horizontalement */
}

#apropos h3 {
    color: rgb(2, 40, 165);
    font-size: 20px; /* Taille du titre */
    margin-bottom: 20px; /* Marge en bas pour séparer du paragraphe suivant */
}

#apropos p {
    color: rgb(104, 108, 121);
    font-size: 16px; /* Taille du paragraphe */
    margin-bottom: 10px; /* Marge en bas pour séparer chaque paragraphe */
}

.service h3 {
    background-color: rgb(3, 38, 86); /* Change la couleur de fond des titres h3 en bleu */
    padding: 10px; /* Ajoute du rembourrage pour améliorer l'apparence */
    color: white; /* Change la couleur du texte en blanc pour une meilleure lisibilité */
}


/* Style pour aligner les champs du domaine horizontalement */
#domaine h2 {
    color: rgb(12, 57, 205);
    font-size: 22px; /* Taille du titre */
    margin-bottom: 16px; /* Marge en bas pour séparer du paragraphe suivant */
}
#domaine h3 {
    color: black;
    font-size: 20px; /* Taille du paragraphe */
    margin-bottom: 10px; /* Marge en bas pour séparer chaque paragraphe */
}
#domaine p {
    color: rgb(104, 108, 121);
    font-size: 20px; /* Taille du paragraphe */
    margin-bottom: 10px; /* Marge en bas pour séparer chaque paragraphe */
}
#domaine img {
    width: 360px;
    height: 210px;
}


.horizontal-fields {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-top: 10px;
}

.horizontal-fields div {
    flex-wrap: wrap;
    flex: 1;
    min-width: 10px; /* Adjust as needed */
    margin: 10px;
}

.horizontal-fields h3 {
    display: flex;
    align-items: center;
}

.horizontal-fields h3::before {
    margin-right: 10px;
    color: #000; /* Bullet color, change as needed */
}

#role h2 {
    color: rgb(12, 57, 205);
    font-size: 22px; /* Taille du titre */
    margin-bottom: 16px; /* Marge en bas pour séparer du paragraphe suivant */
}
#role p {
    color: rgb(104, 108, 121);
    font-size: 17px; /* Taille du paragraphe */
    margin-bottom: 10px; /* Marge en bas pour séparer chaque paragraphe */
}

/* Style pour le menu de navigation */
nav {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.nav-left, .nav-right {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
}

nav ul li {
    position: relative;
    margin: 0 15px;
}

nav ul li a {
    color: rgb(37, 44, 188);
    text-decoration: none;
    display: block;
    padding: 10px;
}

nav ul li a:hover {
    background-color: white;
    color: black;
}

/* Style pour la nouvelle ligne au-dessus de la barre de navigation */
.top-bar {
    background-color: rgb(50, 85, 154);
    color: white;
    text-align: right;
    padding: 2px 0;
}

.top-bar p a {
    color: white;
    text-decoration: none;
    margin-right: 10px;
}

.top-bar p a:last-child {
    margin-right: 0;
}

/* Styles pour le logo */
.logo {
    height: 70px;
    margin-right: 40px;
    margin-left: 200px;
}

/* Styles pour le menu déroulant */
.dropdown {
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 200px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: #f1f1f1;
}

.dropdown:hover .dropdown-content {
    display: block;
}

/* Style pour les sections */
section {
    padding: 60px 20px;
}

section h2 {
    text-align: center;
    margin-bottom: 20px;
}


/* Style pour le formulaire de contact */
form {
    display: flex;
    flex-direction: column;
    max-width: 330px;
    margin: 0 auto;
}

form label {
    margin-top: 10px;
}

form input,
form textarea {
    padding: 10px;
    margin-top: 5px;
    border: 1px solid #251818;
    border-radius: 5px;
}

/* Style pour aligner les champs horizontalement */
form .horizontal-fields {
    display: flex;
    justify-content: 5px;
    gap: 20px; /* Ajustez cette valeur selon vos besoins */
}

/* Style pour le bouton */
form button {
    padding: 10px;
    margin-top: 20px;
    border: none;
    background-color: #232bd0;
    color: white;
    cursor: pointer;
    border-radius: 5px;
}

form button:hover {
    background-color: #0d8d25;
}


/* Style pour les services */
.service {
    display: inline-block;
    width: calc(25% - 40px);
    box-sizing: border-box;
    padding: 20px;
    background-color: #f4f4f4;
    border-radius: 10px;
    text-align: center;
    margin: 10px;
}

.service h3 {
    margin-top: 0;
}

/* Style pour le symbole de recherche */
.search-icon {
    font-size: 18px;
    cursor: pointer;
}

/*   page avant pide de page /////////////////////////////////////////////*/

/* Style pour la section avant le pied de page avec un fond noir */
.dark-section {
    background-color: #000; /* Fond noir */
    color: #fff; /* Texte blanc */
    padding: 10px 20px; /* Padding pour un espacement interne */
    text-align: left; /* Texte aligné à gauche */
}

/* Style pour le conteneur des colonnes */
.container {
    display: flex; /* Utilisation de Flexbox pour la mise en page */
    justify-content: space-between; /* Espace entre les colonnes */
    flex-wrap: wrap; /* Permet aux colonnes de s'enrouler si l'espace est restreint */
}

/* Style pour chaque colonne de la section */
.about-column {
    flex: 1; /* Chaque colonne prend une part égale de l'espace disponible */
    min-width: 200px; /* Largeur minimale pour chaque colonne */
    margin: 20px; /* Marge autour de chaque colonne */
}

/* Style pour les titres des colonnes */
.about-column h3 {
    border-bottom: 3px solid #fff; /* Ligne de séparation en bas du titre */
    padding-bottom: 10px; /* Padding en bas du titre */
    color: #fff; /* Couleur du texte blanc */
    font-size: 24px; /* Taille de la police */
    margin-bottom: 20px; /* Marge en bas du titre */
}

/* Style pour les paragraphes et les listes dans les colonnes */
.about-column p, .about-column ul {
    color: #ccc; /* Couleur du texte gris clair */
    font-size: 16px; /* Taille de la police */
    line-height: 1.5; /* Hauteur de ligne pour une meilleure lisibilité */
}

/* Style pour les listes dans les colonnes */
.about-column ul {
    list-style: none; /* Supprime les puces des listes */
    padding: 0; /* Supprime le padding par défaut */
}

/* Style pour les éléments de liste */
.about-column ul li {
    margin-bottom: 10px; /* Marge en bas de chaque élément de liste */
    position: relative; /* Nécessaire pour les icônes avec ::before */
}

/* Ajoute un symbole devant chaque élément de "Liens utiles" */
.liens-utiles ul li::before {
    content: '\2022'; /* Utilise un point comme symbole */
    color: #fff; /* Couleur du symbole */
    font-weight: bold; /* Gras */
    display: inline-block; /* Affichage en ligne */
    width: 20px; /* Largeur de l'espace pour le symbole */
    margin-right: 10px; /* Espace entre le symbole et le texte */
}

/* Ajoute une icône de localisation devant chaque ville dans "Nos implantations" */
.nos-implantations ul li::before {
    content: '\1F4CD'; /* Code unicode pour l'icône de localisation */
    display: inline-block; /* Affichage en ligne */
    width: 20px; /* Largeur de l'espace pour l'icône */
    margin-right: 20px; /* Espace entre l'icône et le texte */
}



/*   fin page //////////////////////////////////////////////////////////*/

 
/* Style pour le conteneur du pied de page */
footer {
    background-color: #333; /* Couleur de fond */
    color: white; /* Couleur du texte */
    padding: 10px 0; /* Padding en haut et en bas */
    text-align: center; /* Alignement centré du texte */
}

.footer-content {
    display: flex; /* Utilisation de Flexbox */
    justify-content: center; /* Centrer le contenu horizontalement */
    align-items: center; /* Centrer le contenu verticalement */
    flex-wrap: wrap; /* Permet aux éléments de s'enrouler sur plusieurs lignes si nécessaire */
    gap: 10px; /* Espace entre les éléments */
}

.footer-content p {
    margin: 0; /* Supprime les marges des paragraphes */
}

.footer-content a {
    color: #fff; /* Couleur des liens */
    text-decoration: none; /* Supprime la décoration des liens */
}

.footer-content a:hover {
    color: #ddd; /* Couleur des liens au survol */
}

/* Style pour les icônes de réseaux sociaux */
.social-icon {
    font-size: 24px; /* Taille des icônes */
    margin: 0 5px; /* Espace entre les icônes */
}

.social-icon i {
    color: #fff; /* Couleur des icônes */
}

.social-icon:hover i {
    color: #14f157; /* Couleur des icônes au survol */
}


/*   Fin pied de page //////////////////////////////*/

/* Styles pour le logo */
.logo {
    width: 100px; /* Ajustez cette valeur selon vos besoins */
    height: auto; /* Permet de conserver le ratio d'aspect */
}


/* Style responsive pour les petits écrans */
@media (max-width: 768px) {
    .nav-left, .nav-right {
        flex-direction: column;
    }

    .logo {
        width: 80px; /* Ajustez cette valeur selon vos besoins */
        height: auto; /* Permet de conserver le ratio d'aspect */
        margin-right: auto; /* Ajuste la marge à droite pour déplacer le logo vers la gauche */
        margin-left: auto; /* Ajuste la marge à gauche pour éviter qu'il ne soit trop près du bord de la fenêtre */
    
    }

    .service {
        width: 100%;
        margin-bottom: 20px;
    }

    .consult-button, .join-button {
        width: 100%;
        margin: 10px 0;
    }
}
